DragonPrime - LoGD Resource Community
Welcome Guest
  • Good evening, Guest.
    Please log in, or register.
  • July 20, 2019, 05:53:09 PM
Home Forums News Downloads Login Register Advanced Search
* * *
DragonPrime Menu
Login
 
 
Resource Pages
Search

Pages: [1] 2   Go Down
  Print  
Author Topic: Upgrading (core)  (Read 7966 times)
0 Members and 1 Guest are viewing this topic.
ChAoS
Guest
« on: April 05, 2005, 12:48:07 AM »

What is the proper way to upgrade from 1.0.0 to 1.0.1? Shocked
« Last Edit: April 08, 2005, 02:09:45 PM by ChAoS » Logged
Sichae
iMod God
SVN Users
Mod God
*
Offline Offline

Posts: 3458


If ya didn't get it by now... you're hopeless...


View Profile WWW
« Reply #1 on: April 05, 2005, 04:41:59 AM »

Overwrite the files, and then run the installer. Simple as that. Same as with any PR.
« Last Edit: April 05, 2005, 04:42:10 AM by Sichae » Logged

If you didn't understand anything in the above post, don't try to attempt anything suggested.

Elessa
Faerie
Mod God
*****
Offline Offline

Posts: 3598


short, sweet and to the point


View Profile
« Reply #2 on: April 05, 2005, 10:22:50 AM »

Overwrite the files, and then run the installer. Simple as that. Same as with any PR.

if someone dost be new to this software, they may not necessarily be familiar with the 'same as with any PR' concept just yet.

do not assume ye are speaking with a veteran with each response ye make, alright?   Wink
Logged

Uuma ma ten rashwe, ta tuluva a lle

Play the latest beta version here on LoGD DragonPrime - Axebridge
ChAoS
Guest
« Reply #3 on: April 05, 2005, 03:46:53 PM »

Thanks be to you M'Lady  Wink
Logged
Sichae
iMod God
SVN Users
Mod God
*
Offline Offline

Posts: 3458


If ya didn't get it by now... you're hopeless...


View Profile WWW
« Reply #4 on: April 05, 2005, 04:00:12 PM »

do not assume ye are speaking with a veteran with each response ye make, alright?   Wink

Nah, I am just cool like that. Muahaha. But, I would just suppose people to see the nifty little README.txt...

Just a note, I added the PR part, after I had posted the original post. Wink
« Last Edit: April 05, 2005, 04:00:47 PM by Sichae » Logged

If you didn't understand anything in the above post, don't try to attempt anything suggested.

ChAoS
Guest
« Reply #5 on: April 05, 2005, 04:08:58 PM »

I did check the read me and the upgrade installation only mentioned upgrading from 0.9.8

Just wanted to double check since I was upgrading from 1.0.0 and I am not  familiar with the game yet.

What is a PR? Public Release?
Logged
Sichae
iMod God
SVN Users
Mod God
*
Offline Offline

Posts: 3458


If ya didn't get it by now... you're hopeless...


View Profile WWW
« Reply #6 on: April 05, 2005, 04:09:58 PM »

What is a PR? Public Release?

Pre Release.

* Sichae thinks that perhaps Kendaer should add in the whole 1.0.0+ thinger, to the readme, as to not confuse people. ^_^
« Last Edit: April 05, 2005, 04:10:40 PM by Sichae » Logged

If you didn't understand anything in the above post, don't try to attempt anything suggested.

ladyramses
Guest
« Reply #7 on: April 06, 2005, 11:50:24 AM »

I have a question, I figured the subject of this post was appropriate and no one would want another one entitled Upgrading.

Anyway,  when we upgrade do all the registered players lose their info? Like, so they need to re-register?   This has been bothering me and I have been holding off upgrading because of it.

Thanks!
« Last Edit: April 06, 2005, 11:50:52 AM by Lady Ramses » Logged
Kendaer
Guest
« Reply #8 on: April 06, 2005, 12:09:59 PM »

No, no data should be lost during an upgrade.
Logged
ladyramses
Guest
« Reply #9 on: April 06, 2005, 12:14:10 PM »

*wipes sweat from forehead*

Thank you, that is a load off my chest  Wink
Logged
Talisman
Administrator
Mod God
*****
Offline Offline

Posts: 5484



View Profile WWW
« Reply #10 on: April 06, 2005, 12:37:37 PM »

I strongly encourage everyone to run developmental servers for testing modules and upgrades prior to implementing them on your live game.  That will save you a lot of worry.

Creating a mirror of your server is relatively simple - make a backup of your mysql database (export), copy all the game files/folders to the location you wish to run your dev game at...create a database for that game, run the SQL file and update the dbconnect.php.
Logged

Play the latest beta version here on DragonPrime
ChAoS
Guest
« Reply #11 on: April 06, 2005, 04:32:10 PM »

So I overwrite every file? Even dbconnect.php?
« Last Edit: April 06, 2005, 04:33:45 PM by ChAoS » Logged
Sichae
iMod God
SVN Users
Mod God
*
Offline Offline

Posts: 3458


If ya didn't get it by now... you're hopeless...


View Profile WWW
« Reply #12 on: April 06, 2005, 04:36:50 PM »

So I overwrite every file? Even dbconnect.php?

The dbconnect will not get overwritten, as the file in the .tar file, is not a php file, but a .dist file, which is the equivalency of a txt file.

That is what is connecting to the db (thus the name) and if replaced, with incorrect info, will screw things up.
« Last Edit: April 06, 2005, 04:37:21 PM by Sichae » Logged

If you didn't understand anything in the above post, don't try to attempt anything suggested.

ChAoS
Guest
« Reply #13 on: April 06, 2005, 04:37:48 PM »

well m'kay then!!

Thankyou Smiley

*edit*     Man I love this game- The features oh the features


The game is temporarily unavailable while a game upgrade is applied, please be patient, the upgrade will be completed soon. In order to perform the upgrade, an admin will have to run through the installer. If you are an admin, please visit the Installer and complete the upgrade process.

If you don't know what this all means, just sit tight, we're doing an upgrade and will be done soon, you will be automatically returned to the game when the upgrade is complete.


Remarkable job fellas
« Last Edit: April 06, 2005, 04:52:42 PM by ChAoS » Logged
Quami
Guest
« Reply #14 on: April 06, 2005, 04:57:07 PM »

Greetings. I used to have a server (both 9.7 and 9.8 PR) and it worked fine. Then I went to install the new version and I received this error:
Code:
LOCK TABLES logd_modules WRITE
Access denied for user: 'quami' to database 'logd'
Call Stack:
1: db_query() called from /home/content/html/lib/modules.php on line 70
2: injectmodule() called from /home/content/html/lib/modules.php on line 490
3: modulehook() called from /home/content/html/home.php on line 70
I think I received this error because I switched hosts. I used to be with Resiware before they shut down, now I am with Go Daddy www.godaddy.com
If anyone can help I would greatly appreciate it.
Thanks
-Quami
Logged
Pages: [1] 2   Go Up
  Print  
 
Jump to:  


*
DragonPrime Notices
Welcome to DragonPrime - The LoGD Resource Community!

Support Us
No funds raised yet this year
Your help is greatly appreciated!
Recent Topics
DragonPrime LoGD
Who's Online
96 Guests, 1 User
Daenerys
Home Forums News Downloads Login Register Advanced Search